$regfile = "attiny13a.dat"
$crystal = 4000000
$hwstack = 32
$swstack = 8
$framesize = 16

Config Adc = Single , Prescaler = Auto , Reference = Internal
Start Adc

Config Portb.1 = Input
Config Portb.4 = Input
Config Portb.0 = Output
Config Portb.2 = Output

Enable Interrupts
Enable Pcint0
On Pcint0 Powoff
Pcmsk = &B00010000
Enable Int0
On Int0 Powon
Config Int0 = Low Level

Declare Sub Beepled
Declare Sub Uroven
Declare Sub Knopka
Declare Sub Powoff

Do

'Disable Int0
Start Adc

Osn:
Portb.2 = 1
Goto Osn

Pdn:
'Enable Int0
Powerdown

Loop

Powon:
Waitms 50
While Pinb.1 = 0
Wend
Return

End

Sub Powoff
Portb.2 = 0
Stop Adc
Goto Pdn
End Sub